[arch-commits] Commit in vde2/repos (18 files)

Allan McRae allan at archlinux.org
Tue Oct 16 00:34:59 UTC 2012


    Date: Monday, October 15, 2012 @ 20:34:59
  Author: allan
Revision: 168790

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  vde2/repos/staging-i686/
  vde2/repos/staging-i686/PKGBUILD
    (from rev 168789, vde2/trunk/PKGBUILD)
  vde2/repos/staging-i686/dhcpd.conf.sample
    (from rev 168789, vde2/trunk/dhcpd.conf.sample)
  vde2/repos/staging-i686/iptables.rules.sample
    (from rev 168789, vde2/trunk/iptables.rules.sample)
  vde2/repos/staging-i686/vde-config.sample
    (from rev 168789, vde2/trunk/vde-config.sample)
  vde2/repos/staging-i686/vde-connection.sample
    (from rev 168789, vde2/trunk/vde-connection.sample)
  vde2/repos/staging-i686/vde.conf
    (from rev 168789, vde2/trunk/vde.conf)
  vde2/repos/staging-i686/vde.rc
    (from rev 168789, vde2/trunk/vde.rc)
  vde2/repos/staging-i686/vde2.install
    (from rev 168789, vde2/trunk/vde2.install)
  vde2/repos/staging-x86_64/
  vde2/repos/staging-x86_64/PKGBUILD
    (from rev 168789, vde2/trunk/PKGBUILD)
  vde2/repos/staging-x86_64/dhcpd.conf.sample
    (from rev 168789, vde2/trunk/dhcpd.conf.sample)
  vde2/repos/staging-x86_64/iptables.rules.sample
    (from rev 168789, vde2/trunk/iptables.rules.sample)
  vde2/repos/staging-x86_64/vde-config.sample
    (from rev 168789, vde2/trunk/vde-config.sample)
  vde2/repos/staging-x86_64/vde-connection.sample
    (from rev 168789, vde2/trunk/vde-connection.sample)
  vde2/repos/staging-x86_64/vde.conf
    (from rev 168789, vde2/trunk/vde.conf)
  vde2/repos/staging-x86_64/vde.rc
    (from rev 168789, vde2/trunk/vde.rc)
  vde2/repos/staging-x86_64/vde2.install
    (from rev 168789, vde2/trunk/vde2.install)

--------------------------------------+
 staging-i686/PKGBUILD                |   50 ++++++++++++++
 staging-i686/dhcpd.conf.sample       |   12 +++
 staging-i686/iptables.rules.sample   |    5 +
 staging-i686/vde-config.sample       |   35 ++++++++++
 staging-i686/vde-connection.sample   |    6 +
 staging-i686/vde.conf                |   11 +++
 staging-i686/vde.rc                  |  113 +++++++++++++++++++++++++++++++++
 staging-i686/vde2.install            |   10 ++
 staging-x86_64/PKGBUILD              |   50 ++++++++++++++
 staging-x86_64/dhcpd.conf.sample     |   12 +++
 staging-x86_64/iptables.rules.sample |    5 +
 staging-x86_64/vde-config.sample     |   35 ++++++++++
 staging-x86_64/vde-connection.sample |    6 +
 staging-x86_64/vde.conf              |   11 +++
 staging-x86_64/vde.rc                |  113 +++++++++++++++++++++++++++++++++
 staging-x86_64/vde2.install          |   10 ++
 16 files changed, 484 insertions(+)

Copied: vde2/repos/staging-i686/PKGBUILD (from rev 168789, vde2/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,50 @@
+# $Id$
+# Contributor: Sergej Pupykin
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=vde2
+pkgver=2.3.2
+pkgrel=2
+pkgdesc="Virtual Distributed Ethernet for emulators like qemu"
+url="http://sourceforge.net/projects/vde/"
+license=("GPL" "LGPL" "CUSTOM")
+arch=('i686' 'x86_64')
+depends=('bash' 'libpcap' 'openssl')
+makedepends=('python')
+backup=(etc/conf.d/vde)
+source=(http://downloads.sourceforge.net/vde/$pkgname-$pkgver.tar.bz2
+        dhcpd.conf.sample
+        iptables.rules.sample
+        vde-config.sample
+        vde-connection.sample
+        vde.conf
+        vde.rc)
+install=vde2.install
+options=(!libtool !makeflags)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/vde2 \
+             --enable-experimental
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver 
+  make prefix=$pkgdir/usr sysconfdir=$pkgdir/etc libexecdir=$pkgdir/usr/lib/vde2 install
+  install -D -m 755 ../vde.rc $pkgdir/etc/rc.d/vde
+  install -D -m 644 ../vde.conf $pkgdir/etc/conf.d/vde
+  install -D -m 644 ../vde-config.sample $pkgdir/etc/vde/vde-config.sample
+  install -D -m 644 ../vde-connection.sample $pkgdir/etc/vde/vde-connection.sample
+  install -D -m 644 ../dhcpd.conf.sample $pkgdir/usr/share/vde2/dhcpd.conf.sample
+  install -D -m 644 ../iptables.rules.sample $pkgdir/usr/share/vde2/iptables.rules.sample
+  # install slirp license
+  install -D -m 644 COPYING.slirpvde $pkgdir/usr/share/licenses/vde2/COPYING.slirpvde
+}
+
+md5sums=('46fbc5f97f03dc517aa3b2c9d9ea6628'
+         '7d9bc56d2e561d849e915000d1c0f269'
+         'a920123fc620bcedbccb703a8d1bdc55'
+         'cb8ace28e8efd4dad128be4be71b3b07'
+         '63033c33565e2030541c5e05e9d9b063'
+         'a22730f051f4840da4a3162a88ff8156'
+         '6c7dc01bc2f039f0ff1682ee70d3d1da')

Copied: vde2/repos/staging-i686/dhcpd.conf.sample (from rev 168789, vde2/trunk/dhcpd.conf.sample)
===================================================================
--- staging-i686/dhcpd.conf.sample	                        (rev 0)
+++ staging-i686/dhcpd.conf.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,12 @@
+ddns-update-style none;
+
+subnet 192.168.254.0 netmask 255.255.255.0 {
+    range 192.168.254.1 192.168.254.253;
+    option routers 192.168.254.254;
+    option domain-name "virtual.example.com";
+    # find your DNS servers from /etc/resolv.conf
+    # otherwise only pure IP addresses will work
+    option domain-name-servers 192.168.254.254;
+    option broadcast-address 192.168.254.255;
+    default-lease-time 86400;
+}

Copied: vde2/repos/staging-i686/iptables.rules.sample (from rev 168789, vde2/trunk/iptables.rules.sample)
===================================================================
--- staging-i686/iptables.rules.sample	                        (rev 0)
+++ staging-i686/iptables.rules.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,5 @@
+*filter
+-A INPUT -i tun -j ACCEPT
+-A FORWARD -s 192.168.254.0/255.255.255.0 -j ACCEPT
+*nat
+-A POSTROUTING -s 192.168.254.0/24 -j MASQUERADE

Copied: vde2/repos/staging-i686/vde-config.sample (from rev 168789, vde2/trunk/vde-config.sample)
===================================================================
--- staging-i686/vde-config.sample	                        (rev 0)
+++ staging-i686/vde-config.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,35 @@
+# Set options vde_switch program
+# To activate this vde profile add it to /etc/conf.d/vde
+
+# Global options
+VDE_NUMPORTS="32"  # Number of ports (default 32)
+VDE_HUB="no"       # [yes|no] Make the switch act as a hub
+VDE_FSTP="no"      # [yes|no] Activate the fast spanning tree protocol
+VDE_MAC=""         # Set the Switch MAC address
+VDE_PRIOTIRY=""    # Set the priority for FST (MAC extension)
+VDE_HASHSIZE=""    # Hash table size
+
+# Options from datasock module
+VDE_SOCK="/var/run/vde/sample.sock"  # control directory pathname
+VDE_SOCK_MODE="660"                  # Standard access mode for comm sockets (octal)
+VDE_SOCK_GROUP="root"                # Group owner for comm sockets
+
+# Options from consmgmt module
+VDE_MANAGEMENT_SOCK="/var/run/vde/sample.mgmt"  # path of the management UNIX socket
+VDE_MANAGEMENT_SOCK_MODE="660"                  # management UNIX socket access mode (octal)
+
+# Other options to parse to vde_switch
+VDE_OPTIONS=""
+
+# VDE with internet support
+# You can use either tuntap method or slirpvde method.
+
+# Options from tuntap module
+VDE_TAP=""  # Enable routing through TAP tap interface (comma separated array eg.:"tap0,tap1").
+
+# slirpvde daemon support
+SLIRP="no"         # [yes|no] enable/disable SLIRP daemon support
+SLIRP_DHCP="no"    # [yes|no] turn on the DHCP server for the network autoconfiguration of all the units connected to the VDE
+SLIRP_NETWORK="" # specify the network address (default 10.0.2.0)
+# other options to parse to slirpvde
+SLIRP_OPTIONS=""
\ No newline at end of file

Copied: vde2/repos/staging-i686/vde-connection.sample (from rev 168789, vde2/trunk/vde-connection.sample)
===================================================================
--- staging-i686/vde-connection.sample	                        (rev 0)
+++ staging-i686/vde-connection.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,6 @@
+# You can add vde switch connections below
+# just without the # at the beginning:
+# vde_plug /var/run/vde/sample.sock = vde_plug /var/run/vde/sample2.sock
+# or if hosts are different use this syntax:
+# vde_plug /var/run/vde/sample.sock = ssh host2 vde_plug /var/run/vde/sample.sock
+

Copied: vde2/repos/staging-i686/vde.conf (from rev 168789, vde2/trunk/vde.conf)
===================================================================
--- staging-i686/vde.conf	                        (rev 0)
+++ staging-i686/vde.conf	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,11 @@
+# Set options for a vde daemon script
+#
+# Array for your vde config files, eg.: "internal-net external-net"
+# You need a config file in /etc/vde/ with the same name.
+# Sample config file provided: /etc/vde/vde-config.sample
+VDE_CONFIG="" 
+
+# Array for your dpipe connections, eg.: "connect-switches"
+# You need a config file in /etc/vde/ with the same name.
+# Sample config file provided: /etc/vde/vde-connection.sample
+VDE_CONNECTION=""
\ No newline at end of file

Copied: vde2/repos/staging-i686/vde.rc (from rev 168789, vde2/trunk/vde.rc)
===================================================================
--- staging-i686/vde.rc	                        (rev 0)
+++ staging-i686/vde.rc	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/vde
+
+case "$1" in
+  start)
+    # bring up all defined profiles
+    for i in $VDE_CONFIG; do
+      [ -e /etc/vde/$i ] && . /etc/vde/$i
+      stat_busy "Starting vde_switch $i"
+      # get options from profile
+      [ -n "$VDE_NUMPORTS" ] && OPTIONS="-n $VDE_NUMPORTS"
+      [ "$VDE_HUB" = "yes" ] && OPTIONS="$OPTIONS -x"
+      [ "$VDE_FSTP" = "yes" ] && OPTIONS="$OPTIONS -F"
+      [ -n "$VDE_MAC" ] && OPTIONS="$OPTIONS --macaddr $VDE_MAC"
+      [ -n "$VDE_PRIORITY" ] && OPTIONS="$OPTIONS --priority $VDE_PRIORITY"
+      [ -n "$VDE_HASH" ] && OPTIONS="$OPTIONS --hashsize $VDE_HASH"
+      [ -n "$VDE_SOCK" ] && OPTIONS="$OPTIONS -s $VDE_SOCK"
+      [ -n "$VDE_SOCK_MODE" ] && OPTIONS="$OPTIONS -m $VDE_SOCK_MODE"
+      [ -n "$VDE_SOCK_GROUP" ] && OPTIONS="$OPTIONS -g $VDE_SOCK_GROUP"
+      [ -n "$VDE_MANAGEMENT_SOCK" ] && OPTIONS="$OPTIONS -M $VDE_MANAGEMENT_SOCK"
+      [ -n "$VDE_MANAGEMENT_SOCK_MODE" ] && OPTIONS="$OPTIONS --mgmtmode $VDE_MANAGEMENT_SOCK_MODE"
+      [ -n "$VDE_TAP" ] && OPTIONS="$OPTIONS -t $VDE_TAP"
+      [ -n "$VDE_OPTIONS" ] && OPTIONS="$OPTIONS $VDE_OPTIONS"
+      vde_switch $OPTIONS -p /var/run/vde-$i.pid -daemon &>/dev/null
+      [ -n "$VDE_SOCK" -a -n "$VDE_SOCK_GROUP" ] && chgrp "$VDE_SOCK_GROUP" "$VDE_SOCK"
+      if [ $? -gt 0 ]; then
+        stat_fail
+      else
+        stat_done
+      fi
+      if [ "$SLIRP" = "yes" ]; then
+        stat_busy "Starting slirpvde for $i"
+        [ "$SLIRP_DHCP" = "yes" ] && SP_OPTIONS="-D"
+        [ -n "$SLIRP_NETWORK" ] && SP_OPTIONS="$SP_OPTIONS -n $SLIRP_NETWORK"
+        [ -n "$SLIRP_OPTIONS" ] && SP_OPTIONS="$SP_OPTIONS $SLIRP_OPTIONS"
+        [ -n "$VDE_SOCK" ] && SP_OPTIONS="$SP_OPTIONS -s $VDE_SOCK"
+        [ -n "$VDE_SOCK_MODE" ] && SP_OPTIONS="$SP_OPTIONS -m $VDE_SOCK_MODE"
+        [ -n "$VDE_SOCK_GROUP" ] && SP_OPTIONS="$SP_OPTIONS -g $VDE_SOCK_GROUP"
+        slirpvde $SP_OPTIONS -p /var/run/slirpvde-$i.pid -daemon &>/dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+        unset OPTIONS
+        unset SP_OPTIONS
+      fi
+    done
+    for i in $VDE_CONNECTION; do
+      # connect specified vde_switches
+      if [ "$(grep ^vde_plug /etc/vde/$i)" ]; then
+        stat_busy "Connecting VDE switches $i together..."
+        while read j; do
+          switch="$(echo $j | grep ^vde_plug)"
+          [ -n "$switch" ] && (dpipe $switch &)
+        done </etc/vde/$i
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+      fi
+    done
+    add_daemon vde
+    ;;
+  stop)
+    # kill vde_plug if switches are connected
+    [ -n "$VDE_CONNECTION" ] && killall vde_plug >/dev/null 2>&1
+    for i in $VDE_CONFIG; do
+      [ -e /etc/vde/$i ] && . /etc/vde/$i
+      if [ "$SLIRP" = "yes" ]; then
+        stat_busy "Stopping slirpvde for $i"
+        kill $(cat /var/run/slirpvde-$i.pid) &> /dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+        rm /var/run/slirpvde-$i.pid &> /dev/null
+      fi
+      stat_busy "Stopping vde_switch $i"
+      kill $(cat /var/run/vde-$i.pid) &> /dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+      rm /var/run/vde-$i.pid &> /dev/null
+      stat_busy "Removing $i vde sockets"
+      rm -rf $VDE_SOCK $VDE_MANAGEMENT_SOCK
+      if [ $? -gt 0 ]; then
+        stat_fail
+      else
+        stat_done
+      fi
+    done
+      unset OPTIONS
+      unset SP_OPTIONS
+      [ -e /var/run/vde/gmon.out ] && rm /var/run/vde/gmon.out
+      rm_daemon vde 
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+    *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: vde2/repos/staging-i686/vde2.install (from rev 168789, vde2/trunk/vde2.install)
===================================================================
--- staging-i686/vde2.install	                        (rev 0)
+++ staging-i686/vde2.install	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,10 @@
+post_install() {
+  echo "Change /etc/conf.d/vde to your needs."
+  echo "vde config files should be placed in /etc/vde, sample files are provided."
+  echo "iptables and dhcpd sample files have been installed to '/usr/share/vde2'."
+  echo "Merge those examples, if needed to the according config files."
+}
+
+post_upgrade() {
+  post_install $1
+}

Copied: vde2/repos/staging-x86_64/PKGBUILD (from rev 168789, vde2/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,50 @@
+# $Id$
+# Contributor: Sergej Pupykin
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=vde2
+pkgver=2.3.2
+pkgrel=2
+pkgdesc="Virtual Distributed Ethernet for emulators like qemu"
+url="http://sourceforge.net/projects/vde/"
+license=("GPL" "LGPL" "CUSTOM")
+arch=('i686' 'x86_64')
+depends=('bash' 'libpcap' 'openssl')
+makedepends=('python')
+backup=(etc/conf.d/vde)
+source=(http://downloads.sourceforge.net/vde/$pkgname-$pkgver.tar.bz2
+        dhcpd.conf.sample
+        iptables.rules.sample
+        vde-config.sample
+        vde-connection.sample
+        vde.conf
+        vde.rc)
+install=vde2.install
+options=(!libtool !makeflags)
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/vde2 \
+             --enable-experimental
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver 
+  make prefix=$pkgdir/usr sysconfdir=$pkgdir/etc libexecdir=$pkgdir/usr/lib/vde2 install
+  install -D -m 755 ../vde.rc $pkgdir/etc/rc.d/vde
+  install -D -m 644 ../vde.conf $pkgdir/etc/conf.d/vde
+  install -D -m 644 ../vde-config.sample $pkgdir/etc/vde/vde-config.sample
+  install -D -m 644 ../vde-connection.sample $pkgdir/etc/vde/vde-connection.sample
+  install -D -m 644 ../dhcpd.conf.sample $pkgdir/usr/share/vde2/dhcpd.conf.sample
+  install -D -m 644 ../iptables.rules.sample $pkgdir/usr/share/vde2/iptables.rules.sample
+  # install slirp license
+  install -D -m 644 COPYING.slirpvde $pkgdir/usr/share/licenses/vde2/COPYING.slirpvde
+}
+
+md5sums=('46fbc5f97f03dc517aa3b2c9d9ea6628'
+         '7d9bc56d2e561d849e915000d1c0f269'
+         'a920123fc620bcedbccb703a8d1bdc55'
+         'cb8ace28e8efd4dad128be4be71b3b07'
+         '63033c33565e2030541c5e05e9d9b063'
+         'a22730f051f4840da4a3162a88ff8156'
+         '6c7dc01bc2f039f0ff1682ee70d3d1da')

Copied: vde2/repos/staging-x86_64/dhcpd.conf.sample (from rev 168789, vde2/trunk/dhcpd.conf.sample)
===================================================================
--- staging-x86_64/dhcpd.conf.sample	                        (rev 0)
+++ staging-x86_64/dhcpd.conf.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,12 @@
+ddns-update-style none;
+
+subnet 192.168.254.0 netmask 255.255.255.0 {
+    range 192.168.254.1 192.168.254.253;
+    option routers 192.168.254.254;
+    option domain-name "virtual.example.com";
+    # find your DNS servers from /etc/resolv.conf
+    # otherwise only pure IP addresses will work
+    option domain-name-servers 192.168.254.254;
+    option broadcast-address 192.168.254.255;
+    default-lease-time 86400;
+}

Copied: vde2/repos/staging-x86_64/iptables.rules.sample (from rev 168789, vde2/trunk/iptables.rules.sample)
===================================================================
--- staging-x86_64/iptables.rules.sample	                        (rev 0)
+++ staging-x86_64/iptables.rules.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,5 @@
+*filter
+-A INPUT -i tun -j ACCEPT
+-A FORWARD -s 192.168.254.0/255.255.255.0 -j ACCEPT
+*nat
+-A POSTROUTING -s 192.168.254.0/24 -j MASQUERADE

Copied: vde2/repos/staging-x86_64/vde-config.sample (from rev 168789, vde2/trunk/vde-config.sample)
===================================================================
--- staging-x86_64/vde-config.sample	                        (rev 0)
+++ staging-x86_64/vde-config.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,35 @@
+# Set options vde_switch program
+# To activate this vde profile add it to /etc/conf.d/vde
+
+# Global options
+VDE_NUMPORTS="32"  # Number of ports (default 32)
+VDE_HUB="no"       # [yes|no] Make the switch act as a hub
+VDE_FSTP="no"      # [yes|no] Activate the fast spanning tree protocol
+VDE_MAC=""         # Set the Switch MAC address
+VDE_PRIOTIRY=""    # Set the priority for FST (MAC extension)
+VDE_HASHSIZE=""    # Hash table size
+
+# Options from datasock module
+VDE_SOCK="/var/run/vde/sample.sock"  # control directory pathname
+VDE_SOCK_MODE="660"                  # Standard access mode for comm sockets (octal)
+VDE_SOCK_GROUP="root"                # Group owner for comm sockets
+
+# Options from consmgmt module
+VDE_MANAGEMENT_SOCK="/var/run/vde/sample.mgmt"  # path of the management UNIX socket
+VDE_MANAGEMENT_SOCK_MODE="660"                  # management UNIX socket access mode (octal)
+
+# Other options to parse to vde_switch
+VDE_OPTIONS=""
+
+# VDE with internet support
+# You can use either tuntap method or slirpvde method.
+
+# Options from tuntap module
+VDE_TAP=""  # Enable routing through TAP tap interface (comma separated array eg.:"tap0,tap1").
+
+# slirpvde daemon support
+SLIRP="no"         # [yes|no] enable/disable SLIRP daemon support
+SLIRP_DHCP="no"    # [yes|no] turn on the DHCP server for the network autoconfiguration of all the units connected to the VDE
+SLIRP_NETWORK="" # specify the network address (default 10.0.2.0)
+# other options to parse to slirpvde
+SLIRP_OPTIONS=""
\ No newline at end of file

Copied: vde2/repos/staging-x86_64/vde-connection.sample (from rev 168789, vde2/trunk/vde-connection.sample)
===================================================================
--- staging-x86_64/vde-connection.sample	                        (rev 0)
+++ staging-x86_64/vde-connection.sample	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,6 @@
+# You can add vde switch connections below
+# just without the # at the beginning:
+# vde_plug /var/run/vde/sample.sock = vde_plug /var/run/vde/sample2.sock
+# or if hosts are different use this syntax:
+# vde_plug /var/run/vde/sample.sock = ssh host2 vde_plug /var/run/vde/sample.sock
+

Copied: vde2/repos/staging-x86_64/vde.conf (from rev 168789, vde2/trunk/vde.conf)
===================================================================
--- staging-x86_64/vde.conf	                        (rev 0)
+++ staging-x86_64/vde.conf	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,11 @@
+# Set options for a vde daemon script
+#
+# Array for your vde config files, eg.: "internal-net external-net"
+# You need a config file in /etc/vde/ with the same name.
+# Sample config file provided: /etc/vde/vde-config.sample
+VDE_CONFIG="" 
+
+# Array for your dpipe connections, eg.: "connect-switches"
+# You need a config file in /etc/vde/ with the same name.
+# Sample config file provided: /etc/vde/vde-connection.sample
+VDE_CONNECTION=""
\ No newline at end of file

Copied: vde2/repos/staging-x86_64/vde.rc (from rev 168789, vde2/trunk/vde.rc)
===================================================================
--- staging-x86_64/vde.rc	                        (rev 0)
+++ staging-x86_64/vde.rc	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/vde
+
+case "$1" in
+  start)
+    # bring up all defined profiles
+    for i in $VDE_CONFIG; do
+      [ -e /etc/vde/$i ] && . /etc/vde/$i
+      stat_busy "Starting vde_switch $i"
+      # get options from profile
+      [ -n "$VDE_NUMPORTS" ] && OPTIONS="-n $VDE_NUMPORTS"
+      [ "$VDE_HUB" = "yes" ] && OPTIONS="$OPTIONS -x"
+      [ "$VDE_FSTP" = "yes" ] && OPTIONS="$OPTIONS -F"
+      [ -n "$VDE_MAC" ] && OPTIONS="$OPTIONS --macaddr $VDE_MAC"
+      [ -n "$VDE_PRIORITY" ] && OPTIONS="$OPTIONS --priority $VDE_PRIORITY"
+      [ -n "$VDE_HASH" ] && OPTIONS="$OPTIONS --hashsize $VDE_HASH"
+      [ -n "$VDE_SOCK" ] && OPTIONS="$OPTIONS -s $VDE_SOCK"
+      [ -n "$VDE_SOCK_MODE" ] && OPTIONS="$OPTIONS -m $VDE_SOCK_MODE"
+      [ -n "$VDE_SOCK_GROUP" ] && OPTIONS="$OPTIONS -g $VDE_SOCK_GROUP"
+      [ -n "$VDE_MANAGEMENT_SOCK" ] && OPTIONS="$OPTIONS -M $VDE_MANAGEMENT_SOCK"
+      [ -n "$VDE_MANAGEMENT_SOCK_MODE" ] && OPTIONS="$OPTIONS --mgmtmode $VDE_MANAGEMENT_SOCK_MODE"
+      [ -n "$VDE_TAP" ] && OPTIONS="$OPTIONS -t $VDE_TAP"
+      [ -n "$VDE_OPTIONS" ] && OPTIONS="$OPTIONS $VDE_OPTIONS"
+      vde_switch $OPTIONS -p /var/run/vde-$i.pid -daemon &>/dev/null
+      [ -n "$VDE_SOCK" -a -n "$VDE_SOCK_GROUP" ] && chgrp "$VDE_SOCK_GROUP" "$VDE_SOCK"
+      if [ $? -gt 0 ]; then
+        stat_fail
+      else
+        stat_done
+      fi
+      if [ "$SLIRP" = "yes" ]; then
+        stat_busy "Starting slirpvde for $i"
+        [ "$SLIRP_DHCP" = "yes" ] && SP_OPTIONS="-D"
+        [ -n "$SLIRP_NETWORK" ] && SP_OPTIONS="$SP_OPTIONS -n $SLIRP_NETWORK"
+        [ -n "$SLIRP_OPTIONS" ] && SP_OPTIONS="$SP_OPTIONS $SLIRP_OPTIONS"
+        [ -n "$VDE_SOCK" ] && SP_OPTIONS="$SP_OPTIONS -s $VDE_SOCK"
+        [ -n "$VDE_SOCK_MODE" ] && SP_OPTIONS="$SP_OPTIONS -m $VDE_SOCK_MODE"
+        [ -n "$VDE_SOCK_GROUP" ] && SP_OPTIONS="$SP_OPTIONS -g $VDE_SOCK_GROUP"
+        slirpvde $SP_OPTIONS -p /var/run/slirpvde-$i.pid -daemon &>/dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+        unset OPTIONS
+        unset SP_OPTIONS
+      fi
+    done
+    for i in $VDE_CONNECTION; do
+      # connect specified vde_switches
+      if [ "$(grep ^vde_plug /etc/vde/$i)" ]; then
+        stat_busy "Connecting VDE switches $i together..."
+        while read j; do
+          switch="$(echo $j | grep ^vde_plug)"
+          [ -n "$switch" ] && (dpipe $switch &)
+        done </etc/vde/$i
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+      fi
+    done
+    add_daemon vde
+    ;;
+  stop)
+    # kill vde_plug if switches are connected
+    [ -n "$VDE_CONNECTION" ] && killall vde_plug >/dev/null 2>&1
+    for i in $VDE_CONFIG; do
+      [ -e /etc/vde/$i ] && . /etc/vde/$i
+      if [ "$SLIRP" = "yes" ]; then
+        stat_busy "Stopping slirpvde for $i"
+        kill $(cat /var/run/slirpvde-$i.pid) &> /dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+        rm /var/run/slirpvde-$i.pid &> /dev/null
+      fi
+      stat_busy "Stopping vde_switch $i"
+      kill $(cat /var/run/vde-$i.pid) &> /dev/null
+        if [ $? -gt 0 ]; then
+          stat_fail
+        else
+          stat_done
+        fi
+      rm /var/run/vde-$i.pid &> /dev/null
+      stat_busy "Removing $i vde sockets"
+      rm -rf $VDE_SOCK $VDE_MANAGEMENT_SOCK
+      if [ $? -gt 0 ]; then
+        stat_fail
+      else
+        stat_done
+      fi
+    done
+      unset OPTIONS
+      unset SP_OPTIONS
+      [ -e /var/run/vde/gmon.out ] && rm /var/run/vde/gmon.out
+      rm_daemon vde 
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+    *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: vde2/repos/staging-x86_64/vde2.install (from rev 168789, vde2/trunk/vde2.install)
===================================================================
--- staging-x86_64/vde2.install	                        (rev 0)
+++ staging-x86_64/vde2.install	2012-10-16 00:34:59 UTC (rev 168790)
@@ -0,0 +1,10 @@
+post_install() {
+  echo "Change /etc/conf.d/vde to your needs."
+  echo "vde config files should be placed in /etc/vde, sample files are provided."
+  echo "iptables and dhcpd sample files have been installed to '/usr/share/vde2'."
+  echo "Merge those examples, if needed to the according config files."
+}
+
+post_upgrade() {
+  post_install $1
+}




More information about the arch-commits mailing list